## INTRODUCTION

The WordPress Migrate Recipe for Drupal CMS module is to offer an easy site building recipe for importing WordPress content (posts, pages, media, taxonomy terms like tags and categories, and comments).

The primary use case for this module is:

- Taking an existing WordPress site content via WP core XML export and importing it to your new Drupal 10.2+, Drupal 11, or Drupal CMS website.

You can try out Drupal as a free content solution for any existing WordPress website as long as you can obtain the standard XML export of the content, including tags and categories (taxonomy terms).

## REQUIREMENTS

This is a recipe that handles installing the separate module [wordpress_migrate](https://drupal.org/project/wordpress_migrate) and additional support modules such as migrate_tools, ctools, migrate_plus, pathauto and token.

You will need an XML (aka the WXR format) file exported from WordPress, available under Tools > Export in the WordPress admin panels. (This method does not require, nor implement, a database connection.)

To successfully import WordPress body content you will need at least one configured content type with a 'text_with_summary' text field serving as the body field. (Note that 'minimal' site installation profiles may not give you this.)

Likewise you must have at least one taxonomy to import terms like categories and tags.

In order to import and create new copies of media files, the site needs to reachable from the installation site server. It can retrieve working media URLs.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: [drupal.org/node/895232](https://www.drupal.org/node/895232) for further information.

## CONFIGURATION

- Use the Migrate functionality in [wordpress_migrate](https://drupal.org/project/wordpress_migrate)
- See the [wordpress_migrate readme.md](https://git.drupalcode.org/project/wordpress_migrate/-/blob/8.x-3.x/README.md?ref_type=heads) file
- Note that after the migration is completed, in most cases, this module, wordpress_migrate, migrate_tools, migrate_plus can be deactivated and uninstalled. These are not usually necessary to keep active unless migrations are on an ongoing basis.

## SUPPORT AND KNOWN ISSUES

Most functionality is implemented in [wordpress_migrate](https://drupal.org/project/wordpress_migrate). See [that issue queue](https://www.drupal.org/project/issues/wordpress_migrate).

There are some situations where conflicting IDs in XML source files may cause errors (e.g. if you tried to import two sites with the same term ID numbers the importer may not be able to import correctly).

## MAINTAINERS

Current maintainers for Drupal 10/11:

- Dan Feidt (hongpong) for [Feidt Design](https://feidtdesign.com) - https://www.drupal.org/u/hongpong

